ClarisWksStruct::DSET Struct Reference documentation

Classes | Public Types | Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksStruct::DSET Struct Reference

main structure which correspond to a document part More...

`#include <ClarisWksStruct.hxx>`

Inheritance diagram for ClarisWksStruct::DSET:

## Classes
struct | Child
| structure used to define the child of a DSET structure More...

## Public Types
enum | Position { P_Main =0, P_Header, P_Footer, P_Frame, P_Footnote, P_Table, P_GraphicMaster, P_Slide, P_SlideNote, P_SlideThumbnail, P_SlideMaster, P_Unknown }
| the zone position More...
enum | ChildType { C_Zone, C_SubText, C_Graphic, C_Unknown }
| the different types of zone child More...

## Public Member Functions
| DSET ()
| constructor More...
virtual | ~DSET ()
| virtual destructor More...
bool | isHeaderFooter () const
| test if the zone is an header/footer More...
bool | isSlide () const
| test if the zone is a slide More...
MWAWBox2f | getBdBox () const
| return the zone bdbox More...
int | getMaximumPage () const
| returns the maximum page More...
virtual void | removeChild (int cId, bool normalChild)
| virtual function to remove a child from a list More...
virtual void | removeChild (int cId)
| virtual function to remove a child from a list More...
void | updateChildPositions (MWAWVec2f const &pageDim, float formLength, int numHorizontalPages=1)
| try to update the child page and bounding box More...
void | findForbiddenPagesBreaking (float pageDim, float formDim, int dim, MWAWVariable< int > &lastPage) const
| find forbidden page break More...
MWAWBox2i | getUnionChildBox () const
| returns the child box (ie. the union of the childs box) More...

## Public Attributes
long | m_size
| the size of the DSET header More...
long | m_numData
| the number of header More...
long | m_dataSz
| the data size More...
long | m_headerSz
| the header size More...
Position | m_position
| the zone type More...
int | m_fileType
| the type ( 0: text, -1: graphic, ...) More...
int | m_page
| the page (if known) More...
MWAWBox2f | m_box
| the bounding box (if known) More...
MWAWVec2f | m_pageDimension
| the page dimension (if know) More...
int | m_id
| the zone identificator More...
std::set< int > | m_fathersList
| the list of fathers More...
int | m_beginSelection
| the begin of selection ( at least in text header) More...
int | m_endSelection
| the end of selection ( at least in text header) More...
int | m_textType
| the text type (header/footer,footnote, ...) More...
int | m_flags [4]
| some unknown flag More...
std::vector< Child > | m_childs
| the list of child zone More...
std::vector< int > | m_otherChilds
| the list of other child More...
bool | m_parsed
| a flag to know if the entry is sent or not to the listener More...
int | m_internal
| an internal variable used to do some computation More...

## Friends
std::ostream & | operator<< (std::ostream &o, DSET const &doc)
| operator<< More...

## Detailed Description

main structure which correspond to a document part

## Member Enumeration Documentation

## ◆ ChildType

enum ClarisWksStruct::DSET::ChildType

the different types of zone child

Enumerator
C_Zone |
C_SubText |
C_Graphic |
C_Unknown |

## ◆ Position

enum ClarisWksStruct::DSET::Position

the zone position

Enumerator
P_Main |
P_Header |
P_Footer |
P_Frame |
P_Footnote |
P_Table |
P_GraphicMaster |
P_Slide |
P_SlideNote |
P_SlideThumbnail |
P_SlideMaster |
P_Unknown |

## Constructor & Destructor Documentation

## ◆ DSET()

ClarisWksStruct::DSET::DSET | ( |  | ) |
| inline

constructor

## ◆ ~DSET()

virtual ClarisWksStruct::DSET::~DSET | ( |  | ) |
| inlinevirtual

virtual destructor

Reimplemented in ClarisDrawTextInternal::DSET.

## Member Function Documentation

## ◆ findForbiddenPagesBreaking()

void ClarisWksStruct::DSET::findForbiddenPagesBreaking | ( | float | pageDim,
|  | float | formDim,
|  | int | dim,
|  | MWAWVariable< int > & | lastPage
| ) |  | const

find forbidden page break

## ◆ getBdBox()

MWAWBox2f ClarisWksStruct::DSET::getBdBox | ( |  | ) | const
| inline

return the zone bdbox

Referenced by ClarisWksGraph::findMasterPage().

## ◆ getMaximumPage()

int ClarisWksStruct::DSET::getMaximumPage | ( |  | ) | const
| inline

returns the maximum page

## ◆ getUnionChildBox()

MWAWBox2i ClarisWksStruct::DSET::getUnionChildBox | ( |  | ) | const

returns the child box (ie. the union of the childs box)

## ◆ isHeaderFooter()

bool ClarisWksStruct::DSET::isHeaderFooter | ( |  | ) | const
| inline

test if the zone is an header/footer

Referenced by ClarisDrawGraph::flushExtra(), ClarisWksGraph::flushExtra(), and ClarisWksGraph::updateGroup().

## ◆ isSlide()

bool ClarisWksStruct::DSET::isSlide | ( |  | ) | const
| inline

test if the zone is a slide

Referenced by ClarisWksGraph::sendGroup().

## ◆ removeChild() [1/2]

void ClarisWksStruct::DSET::removeChild | ( | int | cId,
|  | bool | normalChild
| ) |  |
| virtual

virtual function to remove a child from a list

Reimplemented in ClarisWksGraphInternal::Group, ClarisDrawGraphInternal::Group, ClarisWksTextInternal::Zone, ClarisWksTableInternal::Table, and ClarisWksPresentationInternal::Presentation.

## ◆ removeChild() [2/2]

void ClarisWksStruct::DSET::removeChild | ( | int | cId | ) |
| virtual

virtual function to remove a child from a list

## ◆ updateChildPositions()

void ClarisWksStruct::DSET::updateChildPositions | ( | MWAWVec2f const & | pageDim,
|  | float | formLength,
|  | int | numHorizontalPages = `1`
| ) |  |

try to update the child page and bounding box

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | DSET const & | doc
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_beginSelection

int ClarisWksStruct::DSET::m_beginSelection

the begin of selection ( at least in text header)

Referenced by ClarisWksStruct::operator<<().

## ◆ m_box

MWAWBox2f ClarisWksStruct::DSET::m_box

the bounding box (if known)

Referenced by ClarisWksStruct::operator<<(), and ClarisWksGraph::sendGroup().

## ◆ m_childs

std::vector<Child> ClarisWksStruct::DSET::m_childs

the list of child zone

Referenced by ClarisWksStruct::operator<<(), ClarisWksPresentation::sendZone(), and ClarisWksGraph::updateGroup().

## ◆ m_dataSz

long ClarisWksStruct::DSET::m_dataSz

the data size

Referenced by ClarisWksStruct::operator<<(), ClarisDrawGraph::readBitmapZone(), ClarisWksGraph::readBitmapZone(), ClarisWksDatabase::readDatabaseZone(), ClarisDrawGraph::readGroupZone(), ClarisWksGraph::readGroupZone(), ClarisWksPresentation::readPresentationZone(), ClarisWksSpreadsheet::readSpreadsheetZone(), and ClarisWksTable::readTableZone().

## ◆ m_endSelection

int ClarisWksStruct::DSET::m_endSelection

the end of selection ( at least in text header)

Referenced by ClarisWksStruct::operator<<().

## ◆ m_fathersList

std::set<int> ClarisWksStruct::DSET::m_fathersList

the list of fathers

Referenced by ClarisWksStruct::operator<<().

## ◆ m_fileType

int ClarisWksStruct::DSET::m_fileType

the type ( 0: text, -1: graphic, ...)

Referenced by ClarisWksStruct::operator<<(), ClarisDrawGraph::readBitmapZone(), ClarisWksGraph::readBitmapZone(), ClarisWksDatabase::readDatabaseZone(), ClarisDrawText::readDSETZone(), ClarisWksText::readDSETZone(), ClarisDrawGraph::readGroupZone(), ClarisWksGraph::readGroupZone(), ClarisWksPresentation::readPresentationZone(), ClarisWksSpreadsheet::readSpreadsheetZone(), and ClarisWksTable::readTableZone().

## ◆ m_flags

int ClarisWksStruct::DSET::m_flags[4]

some unknown flag

Referenced by ClarisWksStruct::operator<<().

## ◆ m_headerSz

long ClarisWksStruct::DSET::m_headerSz

the header size

Referenced by ClarisWksStruct::operator<<(), ClarisDrawGraph::readBitmapZone(), ClarisWksGraph::readBitmapZone(), ClarisWksDatabase::readDatabaseZone(), ClarisDrawGraph::readGroupZone(), ClarisWksGraph::readGroupZone(), ClarisWksPresentation::readPresentationZone(), ClarisWksSpreadsheet::readSpreadsheetZone(), and ClarisWksTable::readTableZone().

## ◆ m_id

int ClarisWksStruct::DSET::m_id

the zone identificator

Referenced by ClarisDrawGraph::flushExtra(), ClarisWksGraph::flushExtra(), ClarisWksPresentationInternal::SubDocument::operator!=(), ClarisWksStruct::operator<<(), ClarisWksPresentationInternal::SubDocument::parse(), ClarisDrawText::readDSETZone(), ClarisWksText::readDSETZone(), ClarisWksPresentationInternal::Presentation::removeChild(), ClarisWksGraph::sendGroup(), and ClarisWksText::sendText().

## ◆ m_internal

int ClarisWksStruct::DSET::m_internal
| mutable

an internal variable used to do some computation

## ◆ m_numData

long ClarisWksStruct::DSET::m_numData

the number of header

Referenced by ClarisWksStruct::operator<<(), ClarisDrawGraph::readBitmapZone(), ClarisWksGraph::readBitmapZone(), ClarisWksDatabase::readDatabaseZone(), ClarisDrawText::readDSETZone(), ClarisWksText::readDSETZone(), ClarisDrawGraph::readGroupZone(), ClarisWksGraph::readGroupZone(), ClarisWksPresentation::readPresentationZone(), ClarisWksSpreadsheet::readSpreadsheetZone(), and ClarisWksTable::readTableZone().

## ◆ m_otherChilds

std::vector<int> ClarisWksStruct::DSET::m_otherChilds

the list of other child

Referenced by ClarisWksStruct::operator<<(), ClarisWksDatabase::readLayout(), ClarisWksTable::readTableCells(), ClarisWksText::readTextSection(), and ClarisWksPresentation::readZone1().

## ◆ m_page

int ClarisWksStruct::DSET::m_page

the page (if known)

Referenced by ClarisWksGraph::canSendAsGraphic(), ClarisWksStruct::operator<<(), and ClarisWksGraph::sendGroup().

## ◆ m_pageDimension

MWAWVec2f ClarisWksStruct::DSET::m_pageDimension

the page dimension (if know)

Referenced by ClarisWksStruct::operator<<(), ClarisDrawGraph::readGroupUnknown(), and ClarisWksGraph::readGroupUnknown().

## ◆ m_parsed

bool ClarisWksStruct::DSET::m_parsed
| mutable

a flag to know if the entry is sent or not to the listener

Referenced by ClarisDrawGraph::flushExtra(), ClarisWksGraph::flushExtra(), ClarisDrawGraph::sendBitmap(), ClarisWksGraph::sendBitmap(), ClarisWksGraph::sendGroup(), ClarisWksGraph::sendPageChild(), ClarisDrawText::sendText(), and ClarisWksText::sendText().

## ◆ m_position

Position ClarisWksStruct::DSET::m_position

the zone type

Referenced by ClarisWksGraph::canSendAsGraphic(), ClarisWksStruct::operator<<(), ClarisWksGraph::sendGroup(), and ClarisWksGraph::updateGroup().

## ◆ m_size

long ClarisWksStruct::DSET::m_size

the size of the DSET header

Referenced by ClarisDrawParser::readDSET(), and ClarisWksDocument::readDSET().

## ◆ m_textType

int ClarisWksStruct::DSET::m_textType

the text type (header/footer,footnote, ...)

Referenced by ClarisWksStruct::operator<<().

The documentation for this struct was generated from the following files:

- ClarisWksStruct.hxx
- ClarisWksStruct.cxx